Jump to content
Lillibit

[Temas unidos] DNI electrónico en OS X

Recommended Posts

*Para instalarlo en Leopard ir hasta aquí.

 

Hoy voy a hacerme el nuevo DNI-e y me gustaría saber cuantos de vosotros lo usáis con el mac, que lectores de tarjetas tenéis, donde las comprasteis, precios, compatibilidades, si habéis tenido algún tipo de problema, etc....

 

¿Habéis visto alguno tamaño portátil como este para windows?

 

es-dni-mini-3.jpg

Edited by sallymac

Share this post


Link to post
Share on other sites

Pues yo es la primera vez que veo que vale para algo el DNI nuevo... jeje con eso que haces? en plan de k sino pones tu DNI no se enciende el mac?

Share this post


Link to post
Share on other sites

No tengas claro que vas a poder usarlo en Mac OSX, Lillibit.

 

Cuando licitaron el desarrollo de la firma electrónica ( está directament erelacionado con el DNI electrónico), en la fase de desarrollo del proyecto, todos los interesados e implicados propusieron sus necesidades y se trató de buscar un standard compatible con todas las necesidades.

 

Apple España estaba mirando las flores del campo. Me consta que se les avisó, para que se pusieran las pilas, no les gustó el aviso y hasta donde yo se siguieron mirando las flores del campo. Que me dejen por mentiroso si me equivoco. ;)

 

Ya nos contarás si funciona en Mac OSX.

Share this post


Link to post
Share on other sites

La verdad que a mi tambien me interesa.

 

Si te descargas la guia en la pagina oficial encontraras informacion pero nada de que sea compatible con Tiger o Leopard, simplemente pone OSX. Necesitaras instalar un modulo criptografico denominado PKCS#11 que enncontraras en www.dnielectronico.es/descargas/ y aparte tendras que instalar los driver que vengan junto con el lector de trajetas, eso es lo unico que explica la guia oficial, incluso el tutorial tiene capturas de un Pc.

 

Si alguien se entera de algun lector de tarjetas compatible que lo comente.

 

Un saludo

Share this post


Link to post
Share on other sites

Estoy agotado. No puedo más. He resumido las guías de uso del DNI, he estudiado la instalación de SmartCardAdapter y del OpenSC-dnie, he solucionado los problemas que me ha ido dando la instalación y que no vienen explicados en las guías, y no consigo hacerlo funcionar. No puedo contactar telefónicamente con la Fábrica Nacional de Moneda y Timbre ya que el número del teléfono de soporte es un 900, y los 900 no son accesibles desde el extranjero y yo me encuentro en Alemania.

Os cuento lo que he hecho y en que punto me encuentro, a ver si alguno me podéis ayudar:

 

Lo que quiero es usar mi DNI electrónico para realizar mis trámites con la Agencia Tributaria. Por ejemplo, para pedir el borrador de la declaración ahora que se ha ampliado el plazo.

- Tengo mi DNI, mi lector de tarjetas inteligentes LTC31, mi mac y Firefox. Lo tengo todo. Vamos allá:

 

1º. Instalo SmartCardAdapter

 

2º. Instalo OpneSC-DNIe

 

Se reinicia sesión y se abre una pestaña en firefox con ésto:

primerpantallazoze5.png

By ignatius_j at 2008-04-01

Antes de aparecer así me ha dado un error y he tenido que instalar manualmente el módulo OpenSC arrastrando instalar_módulo.htm sobre el navegador.

 

3º Hago click en "Descargar el certificado Raíz" y, en vez de descargarse, se abre otra pestaña con esto:

segundopantallazocertifga1.png

By ignatius_j at 2008-04-01

 

4º. Vuelvo atrás y mediante el botón derecho selecciono "Guardar enlace como...". Ahora si que me descarga el archivo ACRaiz.crt.

 

5º. Ejecuto ACRaiz.crt y se instala el certificado, pero en mi sistema, no en Firfox

 

6º. Voy a Firefox>Preferencias>avanzado>Cifrado>Ver certificados>Autoridades>importar e importo el certificado.

 

7º. Sigo sin poder usar el dni electrónico. Siempre la web de la agencia tributaria o la de dnielectrónico me llevan a la misma pantalla de error que dice que no tengo nigún certificado

 

8º.Vuelvo a Firefox>Preferencias>avanzado>Cifrado>Ver certificados> pero esta vez intento importar el certificado en "sus certificados", pero Firefox me pide esta vez "la contraseña que se utilizó para cifrar esta copia de respaldo del certificado). No tengo ni idea de qué me está hablando.

 

Y hasta aquí he llegado. No puedo hacer nada. He solicitado por mail un certificado a Ceres aunque no sé para qué. El caso es que al final del proceso me dice que tengo que recogerlo en una oficina(??????). Intento solicitarlo con mi DNI pero, claro, no reconoce mi certificado.

 

Estoy muy desmoralizado... no nos merecemos esta administración que tenemos... Por favor, ayuda...

Share this post


Link to post
Share on other sites

Hola Ignatius,

 

Para este tipo de trámites, mejor usa Internet Explorer o Firefox, pero sobre Windows (parallels), yo me volví loco para reservar un hotel en USA desde Firefox en MAC, sin embargo desde Firefox WINDOWS, fue todo como la seda.

 

Salu2

Share this post


Link to post
Share on other sites

Es desesperante, Samulainez. De veras que me he estudiado todo el tema a conciencia. De hecho, si funcionase podría hacer una guía para macuarium ya que lo tengo todo en apuntes, estructurado. Pero cuando llegas al proceso, en dos pasos ya tienes que hacer cosas que están no ya explicadas, ¡¡es que no figuran!! en sus guías. Voy a intentarlo con Parallels en Win, pero me parece que mientras no sepa dónde importar los certificados ni cuáles necesito a parte del de la Policía me va a dar igual.

Un saludo.

Share this post


Link to post
Share on other sites

En Windows con Parallels funciona perfectamente... Es lamentable. Pero no sólo es lamentable lo mal que está explicado todo el proceso; en la documentación que acompaña al lector de tarjetas viene todo el proceso detallado para instalar el dni electrónico en windows y en linux, pero nada en Mac. A parte, se instala en el sistema operativo un par de aplicaciones para gestionar la clave de la tarjeta y para importar certificados a la misma. Yo no he visto nada de eso al instalar el lector y los certificados (que me he tenido que buscar por mi cuenta siguiendo el mapa del tesoro que son las guías de la FNMT) en mac.

A mi me huele todo esto a que no existe soporte para mac, y lo que figura en la página de la FNMT y en www.dnielectronico.es es mentira, es un paripé para dar el pego como que estan dando un servicio universal, como les es exigido. Pero no es cierto.

 

Así que lo primero que voy a hacer con mi flamante DNI electrónico es poner unas cuantas quejas tanto a la FNMT y a Ceres como al resto de administraciones... ah! y al Corte Inglés por fumarse mi pedido de dos cámaras.

Share this post


Link to post
Share on other sites

Entonces, a dia de hoy, ¿no se puede usar dni-e en mac directamente?

 

un saludo,

Share this post


Link to post
Share on other sites

Según mi experiencia, no. Resumen de lo que ocurre:

- Si tienes Windows o Linux: En la documentación que acompaña al propio lector tienes todo lo que necesitas saber e instalar (al menos en Windows, que es el proceso que yo he seguido). El proceso se realiza mediante una instalación como si se tratase de cualquier otro tipo de aplicación.

- Si tienes Mac tienes que estudiarte las guías que te descargas de www.dnielectronico.es, y, después de descifrarlas, buscarte la vida para encontrar todo lo que necesitas (módulos criptográficos y certificados) rastreando esta web y la de Ceres. Una vez instalado todo, no funciona.

Share this post


Link to post
Share on other sites

Hola Ignacio.

 

Yo no tengo experiencia con DNIs electrónicos y lectores de tarjetas criptográficas, así que no puedo ayudarte demasiado. Pero sí un par de apuntes:

 

-- El punto 8 no tiene sentido: El certificado raíz ya lo has instalado (en la pestaña autoridades). No tienes que instalarlo en "Tus certificados" porque no es un certificado tuyo, sino un raíz de una Autoridad. Por eso no tienes la contraseña, porque el certificado no es tuyo.

 

Es decir: con el certificado raíz ya no tienes que hacer nada más, salvo que quieras instalarlo, además, en otro navegador o en el Acceso a Llaves (en este caso solo tienes que abrir el acceso a llames e importarlo, el ya se encarga de incorporarlo donde corresponda).

 

-- Hasta hace poco creía que era imposible usar el DNI electrónico en un Mac (puesto que cuando se desarrolló esta iniciativa, Hispalinux y Microsoft se interesaron en ello pero Apple España no mostró interés en ello).

 

Digo "hasta hace poco" porque en este hilo parece que comentaban que sí es posible.

 

Mira los enlaces de este hilo a ver si te ayudan.

Share this post


Link to post
Share on other sites
-- El punto 8 no tiene sentido: El certificado raíz ya lo has instalado (en la pestaña autoridades). No tienes que instalarlo en "Tus certificados" porque no es un certificado tuyo, sino un raíz de una Autoridad. Por eso no tienes la contraseña, porque el certificado no es tuyo.

 

Es decir: con el certificado raíz ya no tienes que hacer nada más, salvo que quieras instalarlo, además, en otro navegador o en el Acceso a Llaves (en este caso solo tienes que abrir el acceso a llames e importarlo, el ya se encarga de incorporarlo donde corresponda).

 

Exactamente. Pero yo eso lo he sabido después de instalarlo en Windows. Es decir, antes de llegar al punto 8 ya he hecho todo lo necesario para que funcione, pero hay que indicar que en la guía para MacOs no indican dónde quedan instalados los certificados (sus certificados, de otras personas, sitios web o autoridades), ni que los certificados se instalan automáticamente en el lugar que les corresponde. De hecho, ni siquiera la ruta para consultar los certificados en Firefox que indican en las guías es la correcta, con lo que hacen que un servidor, que ha empezado con esto desde cero, no sepa por dónde le da el aire.

 

Consultaré los links que pones a ver si salgo del hoyo.

 

Edito:

En esos hilos se llega hasta el mismo punto en el que estoy yo. Aparece documentación confusa sobre el proceso de instalación en MacOs, pero nadie dice que le funcione. Instalas todo lo que dice que tienes que instalar, certificados y demás, pero no funciona. Yo comparo configuraciones entre Firefox en Win y en MacOs y está todo igual, pero en Mac no funciona. Hablamos del DNI electrónico. De como funcionan otro tipo de certificados digitales no conozco nada.

Edited by Ignatius J.Reilly

Share this post


Link to post
Share on other sites

una pregunta, ¿cuantos de aquí usáis tiger y cuantos leopard?, lo digo porque a mi me funcionaba en tiger+firefox pero "nanai" en leopard.

 

Por lo visto están teniendo muchos problemas con las librerías opensc requeridas con leopard, al parecer por una mala implementación del estandar pcsc por parte de Apple. En opensc-project hablan de eso.

Share this post


Link to post
Share on other sites

vamos a ver. Ahora me funciona con leopard, firefox el dnie.

Lo primero que he hecho es desinstalar el dnie, el opensc y ceres, es decir dejarlo todo limpio.

Después he instalado la última version de opensc, luego el dnie y ya me todo.

Lo que me pasaba es los "drivers" para la tarjeta de la fnmt (ceres) se "pelean" con los del dnie. Estando estos últimos solos si van.

 

El opensc que he usado es la última version experimental: www.opensc-project.org/files/sca/experimental

firefox, el último

Perdonan que no me extienda mucho; estoy escribiendo desde el touch. Pondré más detalles cuando tenga el Mac enfrente.

P.D.: algo fundamental. El fichero de configuración de opensc que modifica el dnie no es correcto.

Se llama opensc.conf que se encuentra en raíz/library/opensc/etc. Copiarlo fuera de la carpeta que si no os dejará modificarlo. Después buscad una línea donde pregunta sobre la localización del módulo del dnie (escribo de memoria, no tengo el Mac delante). Poned la ruta donde se encuentra y su nombre, es decir, /raíz/library/opensc/lib/nosequednie.dylib.

Después guardar el archivo, copiarlo a su carpeta original y autentificarse.

No me el si había que cerrar sesión.

Por ahora es todo. No está mal con el touch :-)

Edited by solerjes

Share this post


Link to post
Share on other sites

Para desinstalar OpenSc hay que ejecutar este script, ¿no?:

/Library/OpenSC/bin/dnie-uninstall

 

Pero, ¿cómo se desinstala el DNIe y Ceres?

 

¡Muchas gracias, Solerjes!

Share this post


Link to post
Share on other sites
Para desinstalar OpenSc hay que ejecutar este script, ¿no?:

/Library/OpenSC/bin/dnie-uninstall

 

Pero, ¿cómo se desinstala el DNIe y Ceres?

 

¡Muchas gracias, Solerjes!

 

Los "uninstall" se encuentran se encuentran efectivamente en el /bin.

El del dnie, será "noseque dnie uninstall" , el del ceres lo mismo y el del opensc lo mismo. Ten en cuenta que ceres y dnie están basados en opensc, por lo que si ya no encuentras algún uninstall lo habrá hecho alguno de los otros. El caso es que el directorio opensc ya no exista. Por cierto ejecútalos desde terminal con permisos de administrador "sudo -s"

Una muestra de que todo ha ido bien una vez instalado de nuevo es que en "acceso a llaves" aparece "dni electronico" en la lista de llaves, cuando se inserta la tarjeta.

Share this post


Link to post
Share on other sites

Lo siento pero no sé como tengo que escribir lo de sudo -s. Imagino que es sudo (nombre de usuario), pero es que no tengo ni idea de cómo usar el terminal. Bueno, una vez saqué al psicólogo y el tetris.

 

Edito:

Ya lo he conseguido:

sudo /Library/OpenSC/bin/dnie-uninstall (está mal)

El correcto es /library/OpenSC/bin/opensc-unistall

 

Luego te pide el password y listo.

Edited by Ignatius J.Reilly

Share this post


Link to post
Share on other sites

Solerjes, qué Firefox utilizas? 2.xxx o 3.xxx beta?

Voy a probar hoy con el SCA experimental porque hasta ahora no lo consigo con la versión 0.2.2

Share this post


Link to post
Share on other sites
Solerjes, qué Firefox utilizas? 2.xxx o 3.xxx beta?

Voy a probar hoy con el SCA experimental porque hasta ahora no lo consigo con la versión 0.2.2

 

El 2.x.x.x

Share this post


Link to post
Share on other sites

Pues yo no lo consigo, me quedo en la instalación del módulo en el Firefox.

 

Yo estoy en Leopard 10.5.2 con la versión del Firefox 3 beta 5 y el sca-0.2.3pre2.dmg del 19-Feb-2008 23:07. Y la versión del dnie opensc.dnie-1.4.0-5.dmg

 

Lo que me dice el firefox es que no se puede instalar el módulo, ni manual ni automáticamente. Siempre me sale un mensaje del firefox diciendo que no es posible añadir el módulo. Luego aparece esta es la página de Firefox.

 

imagen1jd2.png

 

Sigo los pasos que dice y tampoco

 

Y esta imagen muestra los módulos de seguridad que tengo instaladaos. El PCKS#11 que hay no es el que corresponde con el que tenemos que instalar. No sé si será este el que me dá el problema. No lo he querido quitar por si no lo puedo recuperar. Umm, que mal me huele.

 

imagen3nu8.png

Share this post


Link to post
Share on other sites
Pues yo no lo consigo, me quedo en la instalación del módulo en el Firefox.

 

Yo estoy en Leopard 10.5.2 con la versión del Firefox 3 beta 5 y el sca-0.2.3pre2.dmg del 19-Feb-2008 23:07. Y la versión del dnie opensc.dnie-1.4.0-5.dmg

 

Lo que me dice el firefox es que no se puede instalar el módulo, ni manual ni automáticamente. Siempre me sale un mensaje del firefox diciendo que no es posible añadir el módulo. Luego aparece esta es la página de Firefox.

 

imagen1jd2.png

 

Sigo los pasos que dice y tampoco

 

Y esta imagen muestra los módulos de seguridad que tengo instaladaos. El PCKS#11 que hay no es el que corresponde con el que tenemos que instalar. No sé si será este el que me dá el problema. No lo he querido quitar por si no lo puedo recuperar. Umm, que mal me huele.

 

imagen3nu8.png

 

A mí tambíen me pasaba esto algunas veces pero era cuando no hacía una instalación desde 0 de opensc, dnie.

Manualmente tienes que teclear la ruta del módulo con su nombre, no arrastras el módulo ni lo busques en examinar...,que si no te sale AAASSAAEEee, o algo así muy largo.

Tienes que poner "/Library/OpenSC/lib/opensc-pkcs11.so" en la ruta y el nombre el que quieras, p ejemplo, "dnie"

Share this post


Link to post
Share on other sites

Por cierto, tengo dos lectores el de C3PO y otro de la marca Omnikey (3121), pues..... con el de C3PO "nanai de la china".

 

Lo he comprobado sacándolo del baúl de los recuerdos. Debe ser un problema del driver CCID genérico de Leopard con el lector de C3PO, porque ya os digo que funciona bien con el Omnikey (el que entrega la Junta de Andalucía)

Edited by solerjes

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.